package org.samcrow;

import java.util.LinkedList;

/**
	 * Contains routes that are being calculated
	 */
	public class RouteManager {
		
		private LinkedList<Route> routes;
		private int index;

		/**
		 * Default constructor
		 */
		public RouteManager(){
			routes = new LinkedList<Route>();
			index = 0;
			routes.add(new Route());
		}

		/**
		 * Add a node to the current route
		 * @param node the Node to add
		 */
		public void addNode(Node node){
			routes.get(index).nodes.add(node);
		}
		
		public void addLink(Link link){
			routes.get(index).links.add(link);
		}

		/**
		 * Get a LinkedList of all the routes stored
		 * @return the routes
		 */
		public LinkedList<Route> getRoutes(){
			return routes;
		}
		
		public Route getFirstRoute(){
			return routes.get(0);
		}

		/**
		 * Create a new route. Nodes added after calling this will be added to the new route.
		 */
		public void newRoute(){
			index++;
			routes.add(new Route());
		}

	}
	